# core3-stack-visualizer
A UI view for releases on the master branch including Core3 package dependencies and liabilities. Core3 users will be able to
easily visualize the current condition of a release job


### How to use locally
1. Verify that you have a server config file (or create one).
2. Run `npm run start`.
3. Go to localhost:3000.
4. That's it!


### Server config
The server requires a configuration file.
It attempts to use a config file found in the user's `homedir`.
An optional environmental variable named `STACK_VISUALIZER_CONFIG_PATH` can be used to define a custom path, however this variable's main purpose is for testing.
An example setting this variable within a script is found at `test-kit/test-server.js`

If the server cannot find a config file, it will not start and though an exception.

The most important property found in the configuration file is the access token, which allows access to Github (in order to fetch the stack information).

#### The config object
The config object required for the server contains details like resource URLs, host and port for initialization, and an access token.
for example:

```javascript
const config = {
  port: ...,
  url: ...,
  apiStackFileUrl: ...,
  apiErrorFileUrl:  ...,
  stackPath:  ...,
  STACK_FILE_URL:  ...,
  ERROR_FILE_URL:  ...,
  token: ...
};

module.exports = config;

```

The access token can be any of any user with access to the stack files.
The config file is supposed to be in the `homedir` and therefore not commited to the repo, so its safe for the local use to put any correct token.