export function createDropdown(params) {
  const domElement = document.createElement('select');

  params.id && domElement.setAttribute('id', params.id);
  params.onChange && domElement.addEventListener('change', e => params.onChange(e.target.value));

  params.options.forEach(option => {
    const optionElement = document.createElement('option');
    optionElement.setAttribute('value', option.toLowerCase().replace(' ', '-'));
    optionElement.textContent = option;
    domElement.appendChild(optionElement);
  });

  return domElement;
}
