/**
 * JS hack to change the Dropdown labels, not supported in bootstrap, foundation or any other
 */

export class DashboardTopBar {
  constructor(container, numberOfPackages) {

    const topbar = document.createElement('div');
    topbar.classList.add('dashboard-top-bar');

    const tabsContainer = document.createElement('div');
    tabsContainer.classList.add('liabs-deps-tabs');

    const liabilitiesTab = document.createElement('button');
    liabilitiesTab.setAttribute('id', 'liabilities-tab');
    liabilitiesTab.classList.add('view-btn');
    liabilitiesTab.classList.add('active-button');
    liabilitiesTab.textContent = "Liabilities View";

    const dependenciesTab = document.createElement('button');
    dependenciesTab.classList.add('view-btn');
    dependenciesTab.textContent = "Dependencies View";

    tabsContainer.appendChild(liabilitiesTab);
    tabsContainer.appendChild(dependenciesTab);

    liabilitiesTab.addEventListener('click', () => {
      dependenciesTab.classList.remove('active-button');
      liabilitiesTab.classList.add('active-button');
    });

    dependenciesTab.addEventListener('click', () => {
      liabilitiesTab.classList.remove('active-button');
      dependenciesTab.classList.add('active-button');
    });

    const packagesLabelContainer = document.createElement('div');
    packagesLabelContainer.classList.add('package-label-container');

    const packagesSpan = document.createElement('span');
    packagesSpan.classList.add('package-label');

    const packagesCount = document.createElement('span');

    packagesSpan.textContent = 'Packages';
    packagesCount.textContent = `(${ numberOfPackages ? numberOfPackages : '..' })`;

    packagesLabelContainer.appendChild(packagesSpan);
    packagesLabelContainer.appendChild(packagesCount);

    const topPart = document.createElement('div');
    topPart.appendChild(packagesLabelContainer);
    topPart.appendChild(tabsContainer);
    topPart.classList.add('top-container');

    topbar.appendChild(topPart);
    container.appendChild(topbar);
  }
}
