
function fetchFromGithub(config, httpsClient) {
  const https = httpsClient;
  return function (req, response, next) {
    const options = {
      hostname: 'api.github.com',
      path: config.path ,
      headers: {
        'Accept': 'application/vnd.github.v3.raw',
        'Authorization': `token ${config.token}`,
        'User-Agent': 'Visualizer Service'
      },
    };

    https.get(options, (res) => {
      let rawData = '';
      res.on('data', (chunk) => {
        rawData += chunk
      });
      res.on('end', () => {
        if (!response.finished) {
          if (res.statusCode !== 200) {
            response.statusCode = 500;
            response.send('Error fetching files from Github: ' + rawData);
          } else {
            response.send(JSON.parse(rawData));
          }
        }
      });
    }).on('error', (err)=> {
      response.statusCode = 500;
      response.send('Unable to reach Github server. error: ' + err);
    });
  }
}

module.exports = {
  fetchFromGithub
};