const getServerInfo = (server) => {
  const rawInfo = server.address();
  return {
    address: rawInfo.address === '::' ? 'localhost' : rawInfo.address,
    port: rawInfo.port
  }
};

function waitForServerUp(serverPromise) {
  return serverPromise
    .then(listeningServer => {
      return { server: listeningServer, serverInfo: getServerInfo(listeningServer)};
    })
    .catch(err => {
      console.error('Failed to wait for server up: ', err);
    });
}

module.exports = {
  waitForServerUp
};
