const { chai } = require('../../test-kit/test-helpers');
const { expect } = chai;

import { createDropdown } from '../../src/client/components/dropdown';
import { createFilterBar } from '../../src/client/components/filter-bar';

describe('Components Tests', function() {
  describe('Dropdown', function() {
    it('should be created with provided items', function() {
      const dropdownOptions = ['Option1', 'Option2', 'Option3'];
      const dropdown = createDropdown({options:dropdownOptions});
      expect(dropdown).to.have.length(dropdownOptions.length);
      expect(dropdown).to.have.dropdownOptions(dropdownOptions);
    });
  });

  describe('Filter Bar', function() {
    it('should init filter bar with 1 dropdown', function() {
      const dropdownOptions = ['Option1', 'Option2', 'Option3'];
      const dropdown = createDropdown({options: dropdownOptions});

      const filterBar = createFilterBar([dropdown]);
      expect(filterBar).to.have.length(1);
    });
  });
});
