import { Dashboard } from '../../src/client/dashboard-page/dashboard-page';

const chai = require('chai');
const expect = chai.expect;
const utils = chai.util;

chai.use(require('chai-dom'));

const tenPackagesArray = [];
for (let i = 0; i < 10; i++) {
  tenPackagesArray.push('pancakes');
}

describe('Dashboard', function() {
  let container;
  beforeEach(() => {
    container = document.createElement('div');
  });

  afterEach(() => {
    while (container.hasChildNodes()) {
      container.removeChild(container.lastChild);
    }
  });

  describe('Dashboard Top Bar', function() {
    it('should have top bar', function () {
      const dashboard = new Dashboard(container, []);
      expect(container.querySelectorAll('#dashboard')[0]).to.exist;
    });

    it('should have Liabilities View selected by default', function () {
      const dashboard = new Dashboard(container, []);
      const state = dashboard.state;
      expect(state.tab.label).to.equal('Liabilities');
    });

    it('should have Packages with length of 10 as value', function () {
      const dashboard = new Dashboard(container, tenPackagesArray);
      const state = dashboard.state;
      expect(state.numberOfPackages).to.equal(10);
    });
  });
});