const { chai } = require('../../test-kit/test-helpers');
const { expect } = chai;
import { getPackages, getLiabilitiesViewWithPackages } from '../../src/client/packages-helpers';
import { clickDropdownOrderLargestList, clickDropdownOrderAlphabetical, getPackagesByOrder } from '../../test-kit/filters-aux';
import { sampleStack } from '../../test-kit/client-aux';


describe('Filtering dropdowns', function() {
  let container;
  const packagesOrderedByLargestlist = ['test-p-1', 'test-p-1-2', 'test-p-1-1', 'test-p-1-2-1', 'test-p-1-2-2'];
  const packagesOrderedByAlphabeticalOrder = ['test-p-1', 'test-p-1-1', 'test-p-1-2', 'test-p-1-2-1', 'test-p-1-2-2'];

  beforeEach('Preparing container', function() {
    container = document.createElement('div');
    container.setAttribute('id', 'liabilities-view');
    document.body.appendChild(container);
  });

  afterEach('Clearing container', function() {
    document.body.removeChild(document.getElementById('liabilities-view'));
  });

  it('should filter by order:largest list', function() {
    const packages = getPackages(sampleStack);
    getLiabilitiesViewWithPackages(packages);
    clickDropdownOrderLargestList();
    expect(getPackagesByOrder()).to.eql(packagesOrderedByLargestlist);
  });

  it('should filter by order:alphabetical', function() {
    const packages = getPackages(sampleStack);
    getLiabilitiesViewWithPackages(packages);
    clickDropdownOrderAlphabetical();
    expect(getPackagesByOrder()).to.eql(packagesOrderedByAlphabeticalOrder);
  });
});
