const webpack = require('webpack');

module.exports = {
  entry: {
    client: ['./src/client'],
    test: ['./test'],
    webtest: ['mocha-loader!./test']
  },
  output: {
    path: 'dist',
    filename: '[name].bundle.js'
  },
  module: {
    loaders: [
      {
        test: /\.js$/,
        exclude: /node_modules/,
        loader: 'babel-loader'
      },
      {
        test: /\.json$/,
        loader: 'json-loader'
      },
      {
        test: /\.css/,
        loaders: ['style-loader', 'css-loader']
      },
      {
        test: /\.html/,
        loader: 'html-loader'
      }
    ]
  }
};
